summaryrefslogtreecommitdiff
path: root/package/tmsnc
diff options
context:
space:
mode:
Diffstat (limited to 'package/tmsnc')
-rw-r--r--package/tmsnc/Makefile2
-rw-r--r--package/tmsnc/patches/patch-Makefile149
-rw-r--r--package/tmsnc/patches/patch-config_log756
-rw-r--r--package/tmsnc/patches/patch-config_status223
-rw-r--r--package/tmsnc/patches/patch-doc_Makefile149
-rw-r--r--package/tmsnc/patches/patch-src_Makefile219
-rw-r--r--package/tmsnc/patches/patch-src_core_h12
-rw-r--r--package/tmsnc/patches/patch-src_core_misc_c12
-rw-r--r--package/tmsnc/patches/patch-src_core_net_c48
-rw-r--r--package/tmsnc/patches/patch-src_misc_c12
10 files changed, 1580 insertions, 2 deletions
diff --git a/package/tmsnc/Makefile b/package/tmsnc/Makefile
index 40989c2d5..915ef3dc1 100644
--- a/package/tmsnc/Makefile
+++ b/package/tmsnc/Makefile
@@ -1,5 +1,3 @@
-# $Id$
-#-
# This file is part of the OpenADK project. OpenADK is copyrighted
# material, please see the LICENCE file in the top-level directory.
diff --git a/package/tmsnc/patches/patch-Makefile b/package/tmsnc/patches/patch-Makefile
new file mode 100644
index 000000000..c0be7120d
--- /dev/null
+++ b/package/tmsnc/patches/patch-Makefile
@@ -0,0 +1,149 @@
+$Id: update-patches 24 2008-08-31 14:56:13Z wbx $
+--- tmsnc-0.3.2.orig/Makefile 2006-10-17 13:14:22.000000000 +0200
++++ tmsnc-0.3.2/Makefile 2009-06-02 01:13:53.000000000 +0200
+@@ -33,8 +33,8 @@ POST_INSTALL = :
+ NORMAL_UNINSTALL = :
+ PRE_UNINSTALL = :
+ POST_UNINSTALL = :
+-build_triplet = i686-pc-linux-gnu
+-host_triplet = i686-pc-linux-gnu
++build_triplet = x86_64-pc-linux-gnu
++host_triplet = i586-pc-linux-gnu
+ DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
+ $(srcdir)/Makefile.in \
+ $(top_srcdir)/autopackage/default.apspec.in \
+@@ -76,21 +76,21 @@ DIST_ARCHIVES = $(distdir).tar.gz
+ GZIP_ENV = --best
+ distuninstallcheck_listfiles = find . -type f -print
+ distcleancheck_listfiles = find . -type f -print
+-ACLOCAL = ${SHELL} /home/jonas/tmsnc/missing --run aclocal-1.9
+-AMDEP_FALSE = #
+-AMDEP_TRUE =
+-AMTAR = ${SHELL} /home/jonas/tmsnc/missing --run tar
+-AUTOCONF = ${SHELL} /home/jonas/tmsnc/missing --run autoconf
+-AUTOHEADER = ${SHELL} /home/jonas/tmsnc/missing --run autoheader
+-AUTOMAKE = ${SHELL} /home/jonas/tmsnc/missing --run automake-1.9
+-AWK = mawk
+-CC = gcc
+-CCDEPMODE = depmode=gcc3
+-CFLAGS = -g -O2
+-CPP = gcc -E
+-CPPFLAGS =
+-CURSES_INCLUDEDIR =
+-CURSES_LIBS = -lncurses -lpanel -lform
++ACLOCAL = ${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run aclocal-1.9
++AMDEP_FALSE =
++AMDEP_TRUE = #
++AMTAR = ${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run tar
++AUTOCONF = ${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run autoconf
++AUTOHEADER = ${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run autoheader
++AUTOMAKE = ${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run automake-1.9
++AWK = gawk
++CC = /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc
++CCDEPMODE = depmode=none
++CFLAGS = -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all
++CPP = /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -E
++CPPFLAGS = -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG
++CURSES_INCLUDEDIR = -I/home/wbx/alix1c/openadk/cross_i586/target/include -DRENAMED_NCURSES
++CURSES_LIBS = -L/home/wbx/alix1c/openadk/cross_i586/target/lib -lncurses -lpanel -lform
+ CYGPATH_W = echo
+ DEFS = -DHAVE_CONFIG_H
+ DEPDIR = .deps
+@@ -104,13 +104,13 @@ INSTALL_DATA = ${INSTALL} -m 644
+ INSTALL_PROGRAM = ${INSTALL}
+ INSTALL_SCRIPT = ${INSTALL}
+ INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
+-LDFLAGS =
+-LIBICONV =
++LDFLAGS = -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -L/home/wbx/alix1c/openadk/cross_i586/target/lib -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib
++LIBICONV = /home/wbx/alix1c/openadk/cross_i586/target/usr/lib/libiconv.so -Wl,-rpath -Wl,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib
+ LIBOBJS =
+ LIBS =
+-LTLIBICONV =
++LTLIBICONV = -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -liconv -R/home/wbx/alix1c/openadk/cross_i586/target/usr/lib
+ LTLIBOBJS =
+-MAKEINFO = ${SHELL} /home/jonas/tmsnc/missing --run makeinfo
++MAKEINFO = ${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run makeinfo
+ OBJEXT = o
+ OPENSSL_FALSE = #
+ OPENSSL_TRUE =
+@@ -122,57 +122,57 @@ PACKAGE_TARNAME =
+ PACKAGE_VERSION =
+ PATH_SEPARATOR = :
+ SET_MAKE =
+-SHELL = /bin/sh
+-SSLINC =
+-SSLLIB = -lssl -lcrypto
+-STRIP =
++SHELL = /bin/bash
++SSLINC = -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include
++SSLLIB = -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -lssl -lcrypto
++STRIP = i586-linux-strip
+ TALKFILTERS_FALSE =
+ TALKFILTERS_TRUE = #
+ TFLIB =
+ VERSION = 0.3.2
+-ac_ct_CC = gcc
+-am__fastdepCC_FALSE = #
+-am__fastdepCC_TRUE =
++ac_ct_CC =
++am__fastdepCC_FALSE =
++am__fastdepCC_TRUE = #
+ am__include = include
+ am__leading_dot = .
+ am__quote =
+ am__tar = ${AMTAR} chof - "$$tardir"
+ am__untar = ${AMTAR} xf -
+ bindir = ${exec_prefix}/bin
+-build = i686-pc-linux-gnu
+-build_alias =
+-build_cpu = i686
++build = x86_64-pc-linux-gnu
++build_alias = x86_64-linux-gnu
++build_cpu = x86_64
+ build_os = linux-gnu
+ build_vendor = pc
+-datadir = ${datarootdir}
++datadir = /usr/share
+ datarootdir = ${prefix}/share
+ docdir = ${datarootdir}/doc/${PACKAGE}
+ dvidir = ${docdir}
+ exec_prefix = ${prefix}
+-host = i686-pc-linux-gnu
+-host_alias =
+-host_cpu = i686
++host = i586-pc-linux-gnu
++host_alias = i586-linux
++host_cpu = i586
+ host_os = linux-gnu
+ host_vendor = pc
+ htmldir = ${docdir}
+ includedir = ${prefix}/include
+ infodir = ${datarootdir}/info
+-install_sh = /home/jonas/tmsnc/install-sh
++install_sh = /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/install-sh
+ libdir = ${exec_prefix}/lib
+-libexecdir = ${exec_prefix}/libexec
++libexecdir = /usr/sbin
+ localedir = ${datarootdir}/locale
+-localstatedir = ${prefix}/var
+-mandir = ${datarootdir}/man
++localstatedir = /var
++mandir = /usr/share/man
+ mkdir_p = mkdir -p --
+ oldincludedir = /usr/include
+ pdfdir = ${docdir}
+-prefix = /usr/local
+-program_transform_name = s,x,x,
++prefix = /usr
++program_transform_name = s&$$&&;s&^&&
+ psdir = ${docdir}
+ sbindir = ${exec_prefix}/sbin
+ sharedstatedir = ${prefix}/com
+-sysconfdir = ${prefix}/etc
+-target_alias =
++sysconfdir = /etc
++target_alias = i586-linux
+ tmsnc_VERSION = 0.3.2
+ AUTOMAKE_OPTIONS = no-dependencies
+ SUBDIRS = src doc
diff --git a/package/tmsnc/patches/patch-config_log b/package/tmsnc/patches/patch-config_log
new file mode 100644
index 000000000..519c7681e
--- /dev/null
+++ b/package/tmsnc/patches/patch-config_log
@@ -0,0 +1,756 @@
+$Id: update-patches 24 2008-08-31 14:56:13Z wbx $
+--- tmsnc-0.3.2.orig/config.log 2006-10-17 13:14:23.000000000 +0200
++++ tmsnc-0.3.2/config.log 2009-06-02 01:13:54.000000000 +0200
+@@ -4,22 +4,22 @@ running configure, to aid debugging if c
+ It was created by configure, which was
+ generated by GNU Autoconf 2.60a. Invocation command line was
+
+- $ ./configure
++ $ /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/configure --build=x86_64-linux-gnu --host=i586-linux --target=i586-linux --program-prefix= --program-suffix= --prefix=/usr --datadir=/usr/share --mandir=/usr/share/man --libexecdir=/usr/sbin --localstatedir=/var --sysconfdir=/etc --disable-nls --enable-shared --enable-static --disable-dependency-tracking --disable-libtool-lock --disable-debug --enable-ipv6 --with-libiconv-prefix=/home/wbx/alix1c/openadk/cross_i586/target/usr --with-openssl=/home/wbx/alix1c/openadk/cross_i586/target/usr --with-ncurses=/home/wbx/alix1c/openadk/cross_i586/target
+
+ ## --------- ##
+ ## Platform. ##
+ ## --------- ##
+
+-hostname = prophet
+-uname -m = i686
+-uname -r = 2.6.18-mactel
++hostname = natrium
++uname -m = x86_64
++uname -r = 2.6.26-2-amd64
+ uname -s = Linux
+-uname -v = #1 SMP Tue Oct 10 12:17:51 CEST 2006
++uname -v = #1 SMP Fri Mar 27 04:02:59 UTC 2009
+
+ /usr/bin/uname -p = unknown
+ /bin/uname -X = unknown
+
+-/bin/arch = i686
++/bin/arch = unknown
+ /usr/bin/arch -k = unknown
+ /usr/convex/getsysinfo = unknown
+ /usr/bin/hostinfo = unknown
+@@ -27,10 +27,12 @@ uname -v = #1 SMP Tue Oct 10 12:17:51 CE
+ /usr/bin/oslevel = unknown
+ /bin/universe = unknown
+
++PATH: /home/wbx/alix1c/openadk/scripts
++PATH: /home/wbx/alix1c/openadk/cross_i586/host/bin
++PATH: /home/wbx/alix1c/openadk/cross_i586/target/scripts
+ PATH: /usr/local/bin
+ PATH: /usr/bin
+ PATH: /bin
+-PATH: /usr/bin/X11
+ PATH: /usr/games
+
+
+@@ -43,87 +45,85 @@ configure:1845: result: /usr/bin/install
+ configure:1856: checking whether build environment is sane
+ configure:1899: result: yes
+ configure:1964: checking for gawk
+-configure:1994: result: no
+-configure:1964: checking for mawk
+-configure:1980: found /usr/bin/mawk
+-configure:1991: result: mawk
+-configure:2002: checking whether make sets $(MAKE)
++configure:1980: found /usr/bin/gawk
++configure:1991: result: gawk
++configure:2002: checking whether /usr/bin/make sets $(MAKE)
+ configure:2023: result: yes
+-configure:2258: checking for gcc
+-configure:2274: found /usr/bin/gcc
+-configure:2285: result: gcc
++configure:2099: checking for i586-linux-strip
++configure:2115: found /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-strip
++configure:2126: result: i586-linux-strip
++configure:2218: checking for i586-linux-gcc
++configure:2245: result: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc
+ configure:2523: checking for C compiler version
+-configure:2530: gcc --version >&5
+-gcc (GCC) 4.1.2 20060901 (prerelease) (Debian 4.1.1-13)
+-Copyright (C) 2006 Free Software Foundation, Inc.
++configure:2530: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc --version >&5
++i586-linux-gnu-gcc (GCC) 4.4.0
++Copyright (C) 2009 Free Software Foundation, Inc.
+ This is free software; see the source for copying conditions. There is NO
+ warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+
+ configure:2533: $? = 0
+-configure:2540: gcc -v >&5
++configure:2540: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -v >&5
+ Using built-in specs.
+-Target: i486-linux-gnu
+-Configured with: ../src/configure -v --enable-languages=c,c++,fortran,objc,obj-c++,treelang --prefix=/usr --enable-shared --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --enable-nls --program-suffix=-4.1 --enable-__cxa_atexit --enable-clocale=gnu --enable-libstdcxx-debug --enable-mpfr --with-tune=i686 --enable-checking=release i486-linux-gnu
++Target: i586-linux-gnu
++Configured with: /home/wbx/alix1c/openadk/toolchain_build_i586/gcc-4.4.0/configure --prefix=/home/wbx/alix1c/openadk/cross_i586/host --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=i586-linux-gnu --with-gmp=/home/wbx/alix1c/openadk/cross_i586/host --with-mpfr=/home/wbx/alix1c/openadk/cross_i586/host --disable-__cxa_atexit --enable-target-optspace --with-gnu-ld --without-headers --disable-libmudflap --disable-libgomp --disable-biarch --disable-multilib --disable-nls --enable-libssp --enable-languages=c,c++ --with-sysroot=/home/wbx/alix1c/openadk/cross_i586/target --with-slibdir=/home/wbx/alix1c/openadk/cross_i586/target/lib --enable-shared
+ Thread model: posix
+-gcc version 4.1.2 20060901 (prerelease) (Debian 4.1.1-13)
++gcc version 4.4.0 (GCC)
+ configure:2543: $? = 0
+-configure:2550: gcc -V >&5
+-gcc: '-V' option must have argument
++configure:2550: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -V >&5
++i586-linux-gnu-gcc: '-V' option must have argument
+ configure:2553: $? = 1
+ configure:2576: checking for C compiler default output file name
+-configure:2603: gcc conftest.c >&5
++configure:2603: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -L/home/wbx/alix1c/openadk/cross_i586/target/lib -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib conftest.c >&5
+ configure:2606: $? = 0
+ configure:2644: result: a.out
+ configure:2661: checking whether the C compiler works
+-configure:2671: ./a.out
+-configure:2674: $? = 0
+ configure:2691: result: yes
+ configure:2698: checking whether we are cross compiling
+-configure:2700: result: no
++configure:2700: result: yes
+ configure:2703: checking for suffix of executables
+-configure:2710: gcc -o conftest conftest.c >&5
++configure:2710: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -o conftest -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -L/home/wbx/alix1c/openadk/cross_i586/target/lib -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib conftest.c >&5
+ configure:2713: $? = 0
+ configure:2737: result:
+ configure:2743: checking for suffix of object files
+-configure:2769: gcc -c conftest.c >&5
++configure:2769: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -c -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG conftest.c >&5
+ configure:2772: $? = 0
+ configure:2795: result: o
+ configure:2799: checking whether we are using the GNU C compiler
+-configure:2828: gcc -c conftest.c >&5
++configure:2828: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -c -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG conftest.c >&5
+ configure:2834: $? = 0
+ configure:2841: test -z "$ac_c_werror_flag" || test ! -s conftest.err
+ configure:2844: $? = 0
+ configure:2851: test -s conftest.o
+ configure:2854: $? = 0
+ configure:2868: result: yes
+-configure:2873: checking whether gcc accepts -g
+-configure:2903: gcc -c -g conftest.c >&5
++configure:2873: checking whether /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc accepts -g
++configure:2903: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -c -g -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG conftest.c >&5
+ configure:2909: $? = 0
+ configure:2916: test -z "$ac_c_werror_flag" || test ! -s conftest.err
+ configure:2919: $? = 0
+ configure:2926: test -s conftest.o
+ configure:2929: $? = 0
+ configure:3059: result: yes
+-configure:3076: checking for gcc option to accept ISO C89
+-configure:3150: gcc -c -g -O2 conftest.c >&5
++configure:3076: checking for /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc option to accept ISO C89
++configure:3150: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -c -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG conftest.c >&5
+ configure:3156: $? = 0
+ configure:3163: test -z "$ac_c_werror_flag" || test ! -s conftest.err
+ configure:3166: $? = 0
+ configure:3173: test -s conftest.o
+ configure:3176: $? = 0
+ configure:3196: result: none needed
+-configure:3225: checking for style of include used by make
++configure:3225: checking for style of include used by /usr/bin/make
+ configure:3253: result: GNU
+-configure:3281: checking dependency style of gcc
+-configure:3371: result: gcc3
++configure:3281: checking dependency style of /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc
++configure:3371: result: none
+ configure:3401: checking for a BSD-compatible install
+ configure:3457: result: /usr/bin/install -c
+-configure:3468: checking whether make sets $(MAKE)
++configure:3468: checking whether /usr/bin/make sets $(MAKE)
+ configure:3489: result: yes
+ configure:3506: checking how to run the C preprocessor
+-configure:3546: gcc -E conftest.c
++configure:3546: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -E -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG conftest.c
+ configure:3552: $? = 0
+-configure:3590: gcc -E conftest.c
++configure:3590: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -E -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG conftest.c
+ conftest.c:10:28: error: ac_nonexistent.h: No such file or directory
+ configure:3596: $? = 1
+ configure: failed program was:
+@@ -137,10 +137,10 @@ configure: failed program was:
+ | #define VERSION "0.3.2"
+ | /* end confdefs.h. */
+ | #include <ac_nonexistent.h>
+-configure:3636: result: gcc -E
+-configure:3665: gcc -E conftest.c
++configure:3636: result: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -E
++configure:3665: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -E -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG conftest.c
+ configure:3671: $? = 0
+-configure:3709: gcc -E conftest.c
++configure:3709: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -E -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG conftest.c
+ conftest.c:10:28: error: ac_nonexistent.h: No such file or directory
+ configure:3715: $? = 1
+ configure: failed program was:
+@@ -159,19 +159,15 @@ configure:3834: result: /bin/grep
+ configure:3839: checking for egrep
+ configure:3917: result: /bin/grep -E
+ configure:3922: checking for ANSI C header files
+-configure:3952: gcc -c -g -O2 conftest.c >&5
++configure:3952: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -c -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG conftest.c >&5
+ configure:3958: $? = 0
+ configure:3965: test -z "$ac_c_werror_flag" || test ! -s conftest.err
+ configure:3968: $? = 0
+ configure:3975: test -s conftest.o
+ configure:3978: $? = 0
+-configure:4074: gcc -o conftest -g -O2 conftest.c >&5
+-configure:4077: $? = 0
+-configure:4083: ./conftest
+-configure:4086: $? = 0
+ configure:4103: result: yes
+ configure:4129: checking for sys/types.h
+-configure:4150: gcc -c -g -O2 conftest.c >&5
++configure:4150: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -c -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG conftest.c >&5
+ configure:4156: $? = 0
+ configure:4163: test -z "$ac_c_werror_flag" || test ! -s conftest.err
+ configure:4166: $? = 0
+@@ -179,7 +175,7 @@ configure:4173: test -s conftest.o
+ configure:4176: $? = 0
+ configure:4189: result: yes
+ configure:4129: checking for sys/stat.h
+-configure:4150: gcc -c -g -O2 conftest.c >&5
++configure:4150: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -c -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG conftest.c >&5
+ configure:4156: $? = 0
+ configure:4163: test -z "$ac_c_werror_flag" || test ! -s conftest.err
+ configure:4166: $? = 0
+@@ -187,7 +183,7 @@ configure:4173: test -s conftest.o
+ configure:4176: $? = 0
+ configure:4189: result: yes
+ configure:4129: checking for stdlib.h
+-configure:4150: gcc -c -g -O2 conftest.c >&5
++configure:4150: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -c -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG conftest.c >&5
+ configure:4156: $? = 0
+ configure:4163: test -z "$ac_c_werror_flag" || test ! -s conftest.err
+ configure:4166: $? = 0
+@@ -195,7 +191,7 @@ configure:4173: test -s conftest.o
+ configure:4176: $? = 0
+ configure:4189: result: yes
+ configure:4129: checking for string.h
+-configure:4150: gcc -c -g -O2 conftest.c >&5
++configure:4150: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -c -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG conftest.c >&5
+ configure:4156: $? = 0
+ configure:4163: test -z "$ac_c_werror_flag" || test ! -s conftest.err
+ configure:4166: $? = 0
+@@ -203,7 +199,7 @@ configure:4173: test -s conftest.o
+ configure:4176: $? = 0
+ configure:4189: result: yes
+ configure:4129: checking for memory.h
+-configure:4150: gcc -c -g -O2 conftest.c >&5
++configure:4150: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -c -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG conftest.c >&5
+ configure:4156: $? = 0
+ configure:4163: test -z "$ac_c_werror_flag" || test ! -s conftest.err
+ configure:4166: $? = 0
+@@ -211,7 +207,7 @@ configure:4173: test -s conftest.o
+ configure:4176: $? = 0
+ configure:4189: result: yes
+ configure:4129: checking for strings.h
+-configure:4150: gcc -c -g -O2 conftest.c >&5
++configure:4150: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -c -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG conftest.c >&5
+ configure:4156: $? = 0
+ configure:4163: test -z "$ac_c_werror_flag" || test ! -s conftest.err
+ configure:4166: $? = 0
+@@ -219,7 +215,7 @@ configure:4173: test -s conftest.o
+ configure:4176: $? = 0
+ configure:4189: result: yes
+ configure:4129: checking for inttypes.h
+-configure:4150: gcc -c -g -O2 conftest.c >&5
++configure:4150: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -c -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG conftest.c >&5
+ configure:4156: $? = 0
+ configure:4163: test -z "$ac_c_werror_flag" || test ! -s conftest.err
+ configure:4166: $? = 0
+@@ -227,7 +223,7 @@ configure:4173: test -s conftest.o
+ configure:4176: $? = 0
+ configure:4189: result: yes
+ configure:4129: checking for stdint.h
+-configure:4150: gcc -c -g -O2 conftest.c >&5
++configure:4150: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -c -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG conftest.c >&5
+ configure:4156: $? = 0
+ configure:4163: test -z "$ac_c_werror_flag" || test ! -s conftest.err
+ configure:4166: $? = 0
+@@ -235,7 +231,7 @@ configure:4173: test -s conftest.o
+ configure:4176: $? = 0
+ configure:4189: result: yes
+ configure:4129: checking for unistd.h
+-configure:4150: gcc -c -g -O2 conftest.c >&5
++configure:4150: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -c -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG conftest.c >&5
+ configure:4156: $? = 0
+ configure:4163: test -z "$ac_c_werror_flag" || test ! -s conftest.err
+ configure:4166: $? = 0
+@@ -243,7 +239,7 @@ configure:4173: test -s conftest.o
+ configure:4176: $? = 0
+ configure:4189: result: yes
+ configure:4201: checking for pid_t
+-configure:4231: gcc -c -g -O2 conftest.c >&5
++configure:4231: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -c -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG conftest.c >&5
+ configure:4237: $? = 0
+ configure:4244: test -z "$ac_c_werror_flag" || test ! -s conftest.err
+ configure:4247: $? = 0
+@@ -251,7 +247,7 @@ configure:4254: test -s conftest.o
+ configure:4257: $? = 0
+ configure:4269: result: yes
+ configure:4281: checking for size_t
+-configure:4311: gcc -c -g -O2 conftest.c >&5
++configure:4311: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -c -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG conftest.c >&5
+ configure:4317: $? = 0
+ configure:4324: test -z "$ac_c_werror_flag" || test ! -s conftest.err
+ configure:4327: $? = 0
+@@ -259,7 +255,7 @@ configure:4334: test -s conftest.o
+ configure:4337: $? = 0
+ configure:4349: result: yes
+ configure:4361: checking whether time.h and sys/time.h may both be included
+-configure:4391: gcc -c -g -O2 conftest.c >&5
++configure:4391: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -c -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG conftest.c >&5
+ configure:4397: $? = 0
+ configure:4404: test -z "$ac_c_werror_flag" || test ! -s conftest.err
+ configure:4407: $? = 0
+@@ -267,7 +263,7 @@ configure:4414: test -s conftest.o
+ configure:4417: $? = 0
+ configure:4429: result: yes
+ configure:4439: checking whether struct tm is in sys/time.h or time.h
+-configure:4467: gcc -c -g -O2 conftest.c >&5
++configure:4467: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -c -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG conftest.c >&5
+ configure:4473: $? = 0
+ configure:4480: test -z "$ac_c_werror_flag" || test ! -s conftest.err
+ configure:4483: $? = 0
+@@ -275,7 +271,7 @@ configure:4490: test -s conftest.o
+ configure:4493: $? = 0
+ configure:4505: result: time.h
+ configure:4516: checking for library containing gethostbyname
+-configure:4557: gcc -o conftest -g -O2 conftest.c >&5
++configure:4557: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -o conftest -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -L/home/wbx/alix1c/openadk/cross_i586/target/lib -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib conftest.c >&5
+ configure:4563: $? = 0
+ configure:4570: test -z "$ac_c_werror_flag" || test ! -s conftest.err
+ configure:4573: $? = 0
+@@ -283,17 +279,15 @@ configure:4580: test -s conftest
+ configure:4583: $? = 0
+ configure:4607: result: none required
+ configure:4615: checking for socket
+-configure:4671: gcc -o conftest -g -O2 conftest.c >&5
++configure:4671: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -o conftest -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -L/home/wbx/alix1c/openadk/cross_i586/target/lib -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib conftest.c >&5
+ configure:4677: $? = 0
+ configure:4684: test -z "$ac_c_werror_flag" || test ! -s conftest.err
+ configure:4687: $? = 0
+ configure:4694: test -s conftest
+ configure:4697: $? = 0
+ configure:4710: result: yes
+-configure:5084: checking location of ncurses.h file...
+-configure:5092: result: Found ncurses on /usr/include/ncurses.h
+ configure:5367: checking for use_default_colors
+-configure:5423: gcc -o conftest -g -O2 conftest.c -lncurses >&5
++configure:5423: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -o conftest -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -L/home/wbx/alix1c/openadk/cross_i586/target/lib -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib conftest.c -L/home/wbx/alix1c/openadk/cross_i586/target/lib -lncurses >&5
+ configure:5429: $? = 0
+ configure:5436: test -z "$ac_c_werror_flag" || test ! -s conftest.err
+ configure:5439: $? = 0
+@@ -301,7 +295,7 @@ configure:5446: test -s conftest
+ configure:5449: $? = 0
+ configure:5463: result: yes
+ configure:5367: checking for resizeterm
+-configure:5423: gcc -o conftest -g -O2 conftest.c -lncurses >&5
++configure:5423: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -o conftest -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -L/home/wbx/alix1c/openadk/cross_i586/target/lib -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib conftest.c -L/home/wbx/alix1c/openadk/cross_i586/target/lib -lncurses >&5
+ configure:5429: $? = 0
+ configure:5436: test -z "$ac_c_werror_flag" || test ! -s conftest.err
+ configure:5439: $? = 0
+@@ -309,7 +303,7 @@ configure:5446: test -s conftest
+ configure:5449: $? = 0
+ configure:5463: result: yes
+ configure:5367: checking for resize_term
+-configure:5423: gcc -o conftest -g -O2 conftest.c -lncurses >&5
++configure:5423: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -o conftest -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -L/home/wbx/alix1c/openadk/cross_i586/target/lib -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib conftest.c -L/home/wbx/alix1c/openadk/cross_i586/target/lib -lncurses >&5
+ configure:5429: $? = 0
+ configure:5436: test -z "$ac_c_werror_flag" || test ! -s conftest.err
+ configure:5439: $? = 0
+@@ -317,9 +311,9 @@ configure:5446: test -s conftest
+ configure:5449: $? = 0
+ configure:5463: result: yes
+ configure:5367: checking for wadd_wch
+-configure:5423: gcc -o conftest -g -O2 conftest.c -lncurses >&5
+-/tmp/cciXPB1b.o: In function `main':
+-/home/jonas/tmsnc/conftest.c:60: undefined reference to `wadd_wch'
++configure:5423: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -o conftest -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -L/home/wbx/alix1c/openadk/cross_i586/target/lib -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib conftest.c -L/home/wbx/alix1c/openadk/cross_i586/target/lib -lncurses >&5
++/tmp/ccezoIMb.o: In function `main':
++conftest.c:(.text+0x1d): undefined reference to `wadd_wch'
+ collect2: ld returned 1 exit status
+ configure:5429: $? = 1
+ configure: failed program was:
+@@ -342,8 +336,8 @@ configure: failed program was:
+ | #define HAVE_STDINT_H 1
+ | #define HAVE_UNISTD_H 1
+ | #define TIME_WITH_SYS_TIME 1
+-| #define HAS_CURSES 1
+ | #define USE_NCURSES 1
++| #define HAS_CURSES 1
+ | #define HAVE_USE_DEFAULT_COLORS 1
+ | #define HAVE_RESIZETERM 1
+ | #define HAVE_RESIZE_TERM 1
+@@ -388,25 +382,71 @@ configure: failed program was:
+ | }
+ configure:5463: result: no
+ configure:5515: checking build system type
+-configure:5533: result: i686-pc-linux-gnu
++configure:5533: result: x86_64-pc-linux-gnu
+ configure:5555: checking host system type
+-configure:5570: result: i686-pc-linux-gnu
++configure:5570: result: i586-pc-linux-gnu
+ configure:5616: checking for ld used by GCC
+-configure:5680: result: /usr/bin/ld
+-configure:5689: checking if the linker (/usr/bin/ld) is GNU ld
++configure:5680: result: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-ld
++configure:5689: checking if the linker (/home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-ld) is GNU ld
+ configure:5702: result: yes
+ configure:5709: checking for shared library run path origin
+ configure:5722: result: done
+ configure:6152: checking for iconv
+-configure:6184: gcc -o conftest -g -O2 conftest.c >&5
+-configure:6190: $? = 0
+-configure:6197: test -z "$ac_c_werror_flag" || test ! -s conftest.err
+-configure:6200: $? = 0
+-configure:6207: test -s conftest
+-configure:6210: $? = 0
++configure:6184: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -o conftest -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -L/home/wbx/alix1c/openadk/cross_i586/target/lib -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib conftest.c >&5
++/tmp/ccwM6z8w.o: In function `main':
++conftest.c:(.text+0x28): undefined reference to `libiconv_open'
++conftest.c:(.text+0x3d): undefined reference to `libiconv'
++conftest.c:(.text+0x46): undefined reference to `libiconv_close'
++collect2: ld returned 1 exit status
++configure:6190: $? = 1
++configure: failed program was:
++| /* confdefs.h. */
++| #define PACKAGE_NAME ""
++| #define PACKAGE_TARNAME ""
++| #define PACKAGE_VERSION ""
++| #define PACKAGE_STRING ""
++| #define PACKAGE_BUGREPORT ""
++| #define PACKAGE "tmsnc"
++| #define VERSION "0.3.2"
++| #define STDC_HEADERS 1
++| #define HAVE_SYS_TYPES_H 1
++| #define HAVE_SYS_STAT_H 1
++| #define HAVE_STDLIB_H 1
++| #define HAVE_STRING_H 1
++| #define HAVE_MEMORY_H 1
++| #define HAVE_STRINGS_H 1
++| #define HAVE_INTTYPES_H 1
++| #define HAVE_STDINT_H 1
++| #define HAVE_UNISTD_H 1
++| #define TIME_WITH_SYS_TIME 1
++| #define USE_NCURSES 1
++| #define HAS_CURSES 1
++| #define HAVE_USE_DEFAULT_COLORS 1
++| #define HAVE_RESIZETERM 1
++| #define HAVE_RESIZE_TERM 1
++| /* end confdefs.h. */
++| #include <stdlib.h>
++| #include <iconv.h>
++| int
++| main ()
++| {
++| iconv_t cd = iconv_open("","");
++| iconv(cd,NULL,NULL,NULL,NULL);
++| iconv_close(cd);
++| ;
++| return 0;
++| }
++configure:6249: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -o conftest -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -L/home/wbx/alix1c/openadk/cross_i586/target/lib -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib conftest.c /home/wbx/alix1c/openadk/cross_i586/target/usr/lib/libiconv.so -Wl,-rpath -Wl,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib >&5
++configure:6255: $? = 0
++configure:6262: test -z "$ac_c_werror_flag" || test ! -s conftest.err
++configure:6265: $? = 0
++configure:6272: test -s conftest
++configure:6275: $? = 0
+ configure:6292: result: yes
++configure:6302: checking how to link with libiconv
++configure:6304: result: /home/wbx/alix1c/openadk/cross_i586/target/usr/lib/libiconv.so -Wl,-rpath -Wl,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib
+ configure:6315: checking for iconv declaration
+-configure:6354: gcc -c -g -O2 conftest.c >&5
++configure:6354: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -c -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG conftest.c >&5
+ configure:6360: $? = 0
+ configure:6367: test -z "$ac_c_werror_flag" || test ! -s conftest.err
+ configure:6370: $? = 0
+@@ -415,10 +455,10 @@ configure:6380: $? = 0
+ configure:6396: result:
+ extern size_t iconv (iconv_t cd, char * *inbuf, size_t *inbytesleft, char * *outbuf, size_t *outbytesleft);
+ configure:6424: checking for openssl
+-configure:6494: result: yes
++configure:6447: result: /home/wbx/alix1c/openadk/cross_i586/target/usr
+ configure:6521: checking for gtf_filter_warez in -ltalkfilters
+-configure:6556: gcc -o conftest -g -O2 conftest.c -ltalkfilters >&5
+-/usr/bin/ld: cannot find -ltalkfilters
++configure:6556: /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -o conftest -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -L/home/wbx/alix1c/openadk/cross_i586/target/lib -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib conftest.c -ltalkfilters >&5
++/home/wbx/alix1c/openadk/cross_i586/host/lib/gcc/i586-linux-gnu/4.4.0/../../../../i586-linux-gnu/bin/ld: cannot find -ltalkfilters
+ collect2: ld returned 1 exit status
+ configure:6562: $? = 1
+ configure: failed program was:
+@@ -441,8 +481,8 @@ configure: failed program was:
+ | #define HAVE_STDINT_H 1
+ | #define HAVE_UNISTD_H 1
+ | #define TIME_WITH_SYS_TIME 1
+-| #define HAS_CURSES 1
+ | #define USE_NCURSES 1
++| #define HAS_CURSES 1
+ | #define HAVE_USE_DEFAULT_COLORS 1
+ | #define HAVE_RESIZETERM 1
+ | #define HAVE_RESIZE_TERM 1
+@@ -481,37 +521,40 @@ generated by GNU Autoconf 2.60a. Invoca
+ CONFIG_COMMANDS =
+ $ ./config.status
+
+-on prophet
++on natrium
+
+ config.status:646: creating Makefile
+ config.status:646: creating doc/Makefile
+ config.status:646: creating src/Makefile
+ config.status:646: creating autopackage/default.apspec
+ config.status:646: creating src/config.h
++config.status:875: src/config.h is unchanged
+ config.status:921: executing depfiles commands
+
+ ## ---------------- ##
+ ## Cache variables. ##
+ ## ---------------- ##
+
+-ac_cv_build=i686-pc-linux-gnu
++ac_cv_build=x86_64-pc-linux-gnu
+ ac_cv_c_compiler_gnu=yes
+-ac_cv_env_CC_set=
+-ac_cv_env_CC_value=
+-ac_cv_env_CFLAGS_set=
+-ac_cv_env_CFLAGS_value=
+-ac_cv_env_CPPFLAGS_set=
+-ac_cv_env_CPPFLAGS_value=
++ac_cv_env_CC_set=set
++ac_cv_env_CC_value=/home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc
++ac_cv_env_CFLAGS_set=set
++ac_cv_env_CFLAGS_value='-fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all'
++ac_cv_env_CPPFLAGS_set=set
++ac_cv_env_CPPFLAGS_value='-I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG'
+ ac_cv_env_CPP_set=
+ ac_cv_env_CPP_value=
+-ac_cv_env_LDFLAGS_set=
+-ac_cv_env_LDFLAGS_value=
+-ac_cv_env_build_alias_set=
+-ac_cv_env_build_alias_value=
+-ac_cv_env_host_alias_set=
+-ac_cv_env_host_alias_value=
+-ac_cv_env_target_alias_set=
+-ac_cv_env_target_alias_value=
++ac_cv_env_LDFLAGS_set=set
++ac_cv_env_LDFLAGS_value='-Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -L/home/wbx/alix1c/openadk/cross_i586/target/lib -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib'
++ac_cv_env_build_alias_set=set
++ac_cv_env_build_alias_value=x86_64-linux-gnu
++ac_cv_env_host_alias_set=set
++ac_cv_env_host_alias_value=i586-linux
++ac_cv_env_target_alias_set=set
++ac_cv_env_target_alias_value=i586-linux
++ac_cv_func_malloc_0_nonnull=yes
++ac_cv_func_realloc_0_nonnull=yes
+ ac_cv_func_resize_term=yes
+ ac_cv_func_resizeterm=yes
+ ac_cv_func_socket=yes
+@@ -528,18 +571,19 @@ ac_cv_header_sys_stat_h=yes
+ ac_cv_header_sys_types_h=yes
+ ac_cv_header_time=yes
+ ac_cv_header_unistd_h=yes
+-ac_cv_host=i686-pc-linux-gnu
++ac_cv_host=i586-pc-linux-gnu
+ ac_cv_lib_talkfilters_gtf_filter_warez=no
+ ac_cv_objext=o
+ ac_cv_path_EGREP='/bin/grep -E'
+ ac_cv_path_GREP=/bin/grep
+ ac_cv_path_install='/usr/bin/install -c'
+-ac_cv_prog_AWK=mawk
+-ac_cv_prog_CPP='gcc -E'
+-ac_cv_prog_ac_ct_CC=gcc
++ac_cv_prog_AWK=gawk
++ac_cv_prog_CC=/home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc
++ac_cv_prog_CPP='/home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -E'
++ac_cv_prog_STRIP=i586-linux-strip
+ ac_cv_prog_cc_c89=
+ ac_cv_prog_cc_g=yes
+-ac_cv_prog_make_make_set=yes
++ac_cv_prog_make__usr_bin_make_set=yes
+ ac_cv_search_gethostbyname='none required'
+ ac_cv_struct_tm=time.h
+ ac_cv_type_pid_t=yes
+@@ -549,14 +593,14 @@ acl_cv_hardcode_libdir_flag_spec='${wl}-
+ acl_cv_hardcode_libdir_separator=
+ acl_cv_hardcode_minus_L=no
+ acl_cv_libext=a
+-acl_cv_path_LD=/usr/bin/ld
++acl_cv_path_LD=/home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-ld
+ acl_cv_prog_gnu_ld=yes
+ acl_cv_rpath=done
+ acl_cv_shlibext=so
+ acl_cv_wl=-Wl,
+-am_cv_CC_dependencies_compiler_type=gcc3
++am_cv_CC_dependencies_compiler_type=none
+ am_cv_func_iconv=yes
+-am_cv_lib_iconv=no
++am_cv_lib_iconv=yes
+ am_cv_proto_iconv='extern size_t iconv (iconv_t cd, char * *inbuf, size_t *inbytesleft, char * *outbuf, size_t *outbytesleft);'
+ am_cv_proto_iconv_arg1=
+
+@@ -564,22 +608,22 @@ am_cv_proto_iconv_arg1=
+ ## Output variables. ##
+ ## ----------------- ##
+
+-ACLOCAL='${SHELL} /home/jonas/tmsnc/missing --run aclocal-1.9'
+-AMDEPBACKSLASH='\'
+-AMDEP_FALSE='#'
+-AMDEP_TRUE=''
+-AMTAR='${SHELL} /home/jonas/tmsnc/missing --run tar'
+-AUTOCONF='${SHELL} /home/jonas/tmsnc/missing --run autoconf'
+-AUTOHEADER='${SHELL} /home/jonas/tmsnc/missing --run autoheader'
+-AUTOMAKE='${SHELL} /home/jonas/tmsnc/missing --run automake-1.9'
+-AWK='mawk'
+-CC='gcc'
+-CCDEPMODE='depmode=gcc3'
+-CFLAGS='-g -O2'
+-CPP='gcc -E'
+-CPPFLAGS=''
+-CURSES_INCLUDEDIR=''
+-CURSES_LIBS='-lncurses -lpanel -lform'
++ACLOCAL='${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run aclocal-1.9'
++AMDEPBACKSLASH=''
++AMDEP_FALSE=''
++AMDEP_TRUE='#'
++AMTAR='${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run tar'
++AUTOCONF='${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run autoconf'
++AUTOHEADER='${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run autoheader'
++AUTOMAKE='${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run automake-1.9'
++AWK='gawk'
++CC='/home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc'
++CCDEPMODE='depmode=none'
++CFLAGS='-fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all'
++CPP='/home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -E'
++CPPFLAGS='-I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG'
++CURSES_INCLUDEDIR='-I/home/wbx/alix1c/openadk/cross_i586/target/include -DRENAMED_NCURSES'
++CURSES_LIBS=' -L/home/wbx/alix1c/openadk/cross_i586/target/lib -lncurses -lpanel -lform'
+ CYGPATH_W='echo'
+ DEFS='-DHAVE_CONFIG_H'
+ DEPDIR='.deps'
+@@ -593,13 +637,13 @@ INSTALL_DATA='${INSTALL} -m 644'
+ INSTALL_PROGRAM='${INSTALL}'
+ INSTALL_SCRIPT='${INSTALL}'
+ INSTALL_STRIP_PROGRAM='${SHELL} $(install_sh) -c -s'
+-LDFLAGS=''
+-LIBICONV=''
++LDFLAGS='-Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -L/home/wbx/alix1c/openadk/cross_i586/target/lib -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib'
++LIBICONV='/home/wbx/alix1c/openadk/cross_i586/target/usr/lib/libiconv.so -Wl,-rpath -Wl,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib'
+ LIBOBJS=''
+ LIBS=''
+-LTLIBICONV=''
++LTLIBICONV='-L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -liconv -R/home/wbx/alix1c/openadk/cross_i586/target/usr/lib'
+ LTLIBOBJS=''
+-MAKEINFO='${SHELL} /home/jonas/tmsnc/missing --run makeinfo'
++MAKEINFO='${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run makeinfo'
+ OBJEXT='o'
+ OPENSSL_FALSE='#'
+ OPENSSL_TRUE=''
+@@ -611,57 +655,57 @@ PACKAGE_TARNAME=''
+ PACKAGE_VERSION=''
+ PATH_SEPARATOR=':'
+ SET_MAKE=''
+-SHELL='/bin/sh'
+-SSLINC=''
+-SSLLIB='-lssl -lcrypto'
+-STRIP=''
++SHELL='/bin/bash'
++SSLINC='-I/home/wbx/alix1c/openadk/cross_i586/target/usr/include'
++SSLLIB='-L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -lssl -lcrypto'
++STRIP='i586-linux-strip'
+ TALKFILTERS_FALSE=''
+ TALKFILTERS_TRUE='#'
+ TFLIB=''
+ VERSION='0.3.2'
+-ac_ct_CC='gcc'
+-am__fastdepCC_FALSE='#'
+-am__fastdepCC_TRUE=''
++ac_ct_CC=''
++am__fastdepCC_FALSE=''
++am__fastdepCC_TRUE='#'
+ am__include='include'
+ am__leading_dot='.'
+ am__quote=''
+ am__tar='${AMTAR} chof - "$$tardir"'
+ am__untar='${AMTAR} xf -'
+ bindir='${exec_prefix}/bin'
+-build='i686-pc-linux-gnu'
+-build_alias=''
+-build_cpu='i686'
++build='x86_64-pc-linux-gnu'
++build_alias='x86_64-linux-gnu'
++build_cpu='x86_64'
+ build_os='linux-gnu'
+ build_vendor='pc'
+-datadir='${datarootdir}'
++datadir='/usr/share'
+ datarootdir='${prefix}/share'
+ docdir='${datarootdir}/doc/${PACKAGE}'
+ dvidir='${docdir}'
+ exec_prefix='${prefix}'
+-host='i686-pc-linux-gnu'
+-host_alias=''
+-host_cpu='i686'
++host='i586-pc-linux-gnu'
++host_alias='i586-linux'
++host_cpu='i586'
+ host_os='linux-gnu'
+ host_vendor='pc'
+ htmldir='${docdir}'
+ includedir='${prefix}/include'
+ infodir='${datarootdir}/info'
+-install_sh='/home/jonas/tmsnc/install-sh'
++install_sh='/home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/install-sh'
+ libdir='${exec_prefix}/lib'
+-libexecdir='${exec_prefix}/libexec'
++libexecdir='/usr/sbin'
+ localedir='${datarootdir}/locale'
+-localstatedir='${prefix}/var'
+-mandir='${datarootdir}/man'
++localstatedir='/var'
++mandir='/usr/share/man'
+ mkdir_p='mkdir -p --'
+ oldincludedir='/usr/include'
+ pdfdir='${docdir}'
+-prefix='/usr/local'
+-program_transform_name='s,x,x,'
++prefix='/usr'
++program_transform_name='s&$$&&;s&^&&'
+ psdir='${docdir}'
+ sbindir='${exec_prefix}/sbin'
+ sharedstatedir='${prefix}/com'
+-sysconfdir='${prefix}/etc'
+-target_alias=''
++sysconfdir='/etc'
++target_alias='i586-linux'
+ tmsnc_VERSION='0.3.2'
+
+ ## ----------- ##
+@@ -686,8 +730,8 @@ tmsnc_VERSION='0.3.2'
+ #define HAVE_STDINT_H 1
+ #define HAVE_UNISTD_H 1
+ #define TIME_WITH_SYS_TIME 1
+-#define HAS_CURSES 1
+ #define USE_NCURSES 1
++#define HAS_CURSES 1
+ #define HAVE_USE_DEFAULT_COLORS 1
+ #define HAVE_RESIZETERM 1
+ #define HAVE_RESIZE_TERM 1
+@@ -696,21 +740,3 @@ tmsnc_VERSION='0.3.2'
+ #define HAVE_OPENSSL 1
+
+ configure: exit 0
+-
+-## ---------------------- ##
+-## Running config.status. ##
+-## ---------------------- ##
+-
+-This file was extended by config.status, which was
+-generated by GNU Autoconf 2.60a. Invocation command line was
+-
+- CONFIG_FILES =
+- CONFIG_HEADERS =
+- CONFIG_LINKS =
+- CONFIG_COMMANDS =
+- $ ./config.status src/config.h
+-
+-on prophet
+-
+-config.status:646: creating src/config.h
+-config.status:875: src/config.h is unchanged
diff --git a/package/tmsnc/patches/patch-config_status b/package/tmsnc/patches/patch-config_status
new file mode 100644
index 000000000..36bd2d279
--- /dev/null
+++ b/package/tmsnc/patches/patch-config_status
@@ -0,0 +1,223 @@
+$Id: update-patches 24 2008-08-31 14:56:13Z wbx $
+--- tmsnc-0.3.2.orig/config.status 2006-10-17 13:14:22.000000000 +0200
++++ tmsnc-0.3.2/config.status 2009-06-02 01:13:53.000000000 +0200
+@@ -1,4 +1,4 @@
+-#! /bin/sh
++#! /bin/bash
+ # Generated by configure.
+ # Run this file to recreate the current configuration.
+ # Compiler output produced by configure, useful for debugging
+@@ -7,7 +7,7 @@
+ debug=false
+ ac_cs_recheck=false
+ ac_cs_silent=false
+-SHELL=${CONFIG_SHELL-/bin/sh}
++SHELL=${CONFIG_SHELL-/bin/bash}
+ ## --------------------- ##
+ ## M4sh Initialization. ##
+ ## --------------------- ##
+@@ -321,14 +321,14 @@ Report bugs to <bug-autoconf@gnu.org>."
+
+ ac_cs_version="\
+ config.status
+-configured by ./configure, generated by GNU Autoconf 2.60a,
+- with options \"\"
++configured by /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/configure, generated by GNU Autoconf 2.60a,
++ with options \"'--build=x86_64-linux-gnu' '--host=i586-linux' '--target=i586-linux' '--program-prefix=' '--program-suffix=' '--prefix=/usr' '--datadir=/usr/share' '--mandir=/usr/share/man' '--libexecdir=/usr/sbin' '--localstatedir=/var' '--sysconfdir=/etc' '--disable-nls' '--enable-shared' '--enable-static' '--disable-dependency-tracking' '--disable-libtool-lock' '--disable-debug' '--enable-ipv6' '--with-libiconv-prefix=/home/wbx/alix1c/openadk/cross_i586/target/usr' '--with-openssl=/home/wbx/alix1c/openadk/cross_i586/target/usr' '--with-ncurses=/home/wbx/alix1c/openadk/cross_i586/target' 'build_alias=x86_64-linux-gnu' 'host_alias=i586-linux' 'target_alias=i586-linux' 'CC=/home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc' 'CFLAGS=-fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all' 'LDFLAGS=-Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -L/home/wbx/alix1c/openadk/cross_i586/target/lib -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib' 'CPPFLAGS=-I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG'\"
+
+ Copyright (C) 2006 Free Software Foundation, Inc.
+ This config.status script is free software; the Free Software Foundation
+ gives unlimited permission to copy, distribute and modify it."
+
+-ac_pwd='/home/jonas/tmsnc'
++ac_pwd='/home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2'
+ srcdir='.'
+ INSTALL='/usr/bin/install -c'
+ # If no file are specified by the user, then we need to provide default
+@@ -396,10 +396,10 @@ if $ac_cs_silent; then
+ fi
+
+ if $ac_cs_recheck; then
+- echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " $ac_configure_extra_args " --no-create --no-recursion" >&6
+- CONFIG_SHELL=/bin/sh
++ echo "running CONFIG_SHELL=/bin/bash /bin/bash /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/configure " '--build=x86_64-linux-gnu' '--host=i586-linux' '--target=i586-linux' '--program-prefix=' '--program-suffix=' '--prefix=/usr' '--datadir=/usr/share' '--mandir=/usr/share/man' '--libexecdir=/usr/sbin' '--localstatedir=/var' '--sysconfdir=/etc' '--disable-nls' '--enable-shared' '--enable-static' '--disable-dependency-tracking' '--disable-libtool-lock' '--disable-debug' '--enable-ipv6' '--with-libiconv-prefix=/home/wbx/alix1c/openadk/cross_i586/target/usr' '--with-openssl=/home/wbx/alix1c/openadk/cross_i586/target/usr' '--with-ncurses=/home/wbx/alix1c/openadk/cross_i586/target' 'build_alias=x86_64-linux-gnu' 'host_alias=i586-linux' 'target_alias=i586-linux' 'CC=/home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc' 'CFLAGS=-fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all' 'LDFLAGS=-Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -L/home/wbx/alix1c/openadk/cross_i586/target/lib -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib' 'CPPFLAGS=-I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG' $ac_configure_extra_args " --no-create --no-recursion" >&6
++ CONFIG_SHELL=/bin/bash
+ export CONFIG_SHELL
+- exec /bin/sh "./configure" $ac_configure_extra_args --no-create --no-recursion
++ exec /bin/bash "/home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/configure" '--build=x86_64-linux-gnu' '--host=i586-linux' '--target=i586-linux' '--program-prefix=' '--program-suffix=' '--prefix=/usr' '--datadir=/usr/share' '--mandir=/usr/share/man' '--libexecdir=/usr/sbin' '--localstatedir=/var' '--sysconfdir=/etc' '--disable-nls' '--enable-shared' '--enable-static' '--disable-dependency-tracking' '--disable-libtool-lock' '--disable-debug' '--enable-ipv6' '--with-libiconv-prefix=/home/wbx/alix1c/openadk/cross_i586/target/usr' '--with-openssl=/home/wbx/alix1c/openadk/cross_i586/target/usr' '--with-ncurses=/home/wbx/alix1c/openadk/cross_i586/target' 'build_alias=x86_64-linux-gnu' 'host_alias=i586-linux' 'target_alias=i586-linux' 'CC=/home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc' 'CFLAGS=-fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all' 'LDFLAGS=-Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -L/home/wbx/alix1c/openadk/cross_i586/target/lib -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib' 'CPPFLAGS=-I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG' $ac_configure_extra_args --no-create --no-recursion
+ fi
+
+ exec 5>>config.log
+@@ -414,7 +414,7 @@ _ASBOX
+ #
+ # INIT-COMMANDS
+ #
+-AMDEP_TRUE="" ac_aux_dir="."
++AMDEP_TRUE="#" ac_aux_dir="."
+
+
+ # Handling of arguments.
+@@ -484,7 +484,7 @@ if test -n "$CONFIG_FILES"; then
+
+ cat >"$tmp/subs-1.sed" <<\CEOF
+ /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
+-s,@SHELL@,|#_!!_#|/bin/sh,g
++s,@SHELL@,|#_!!_#|/bin/bash,g
+ s,@PATH_SEPARATOR@,|#_!!_#|:,g
+ s,@PACKAGE_NAME@,|#_!!_#|,g
+ s,@PACKAGE_TARNAME@,|#_!!_#|,g
+@@ -492,16 +492,16 @@ s,@PACKAGE_VERSION@,|#_!!_#|,g
+ s,@PACKAGE_STRING@,|#_!!_#|,g
+ s,@PACKAGE_BUGREPORT@,|#_!!_#|,g
+ s,@exec_prefix@,|#_!!_#|${prefix},g
+-s,@prefix@,|#_!!_#|/usr/local,g
+-s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
++s,@prefix@,|#_!!_#|/usr,g
++s,@program_transform_name@,|#_!!_#|s\&$$\&\&;s\&^\&\&,g
+ s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
+ s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
+-s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
++s,@libexecdir@,|#_!!_#|/usr/sbin,g
+ s,@datarootdir@,|#_!!_#|${prefix}/share,g
+-s,@datadir@,|#_!!_#|${datarootdir},g
+-s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
++s,@datadir@,|#_!!_#|/usr/share,g
++s,@sysconfdir@,|#_!!_#|/etc,g
+ s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
+-s,@localstatedir@,|#_!!_#|${prefix}/var,g
++s,@localstatedir@,|#_!!_#|/var,g
+ s,@includedir@,|#_!!_#|${prefix}/include,g
+ s,@oldincludedir@,|#_!!_#|/usr/include,g
+ s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE},g
+@@ -512,15 +512,15 @@ s,@pdfdir@,|#_!!_#|${docdir},g
+ s,@psdir@,|#_!!_#|${docdir},g
+ s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
+ s,@localedir@,|#_!!_#|${datarootdir}/locale,g
+-s,@mandir@,|#_!!_#|${datarootdir}/man,g
++s,@mandir@,|#_!!_#|/usr/share/man,g
+ s,@DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g
+ s,@ECHO_C@,|#_!!_#|,g
+ s,@ECHO_N@,|#_!!_#|-n,g
+ s,@ECHO_T@,|#_!!_#|,g
+ s,@LIBS@,|#_!!_#|,g
+-s,@build_alias@,|#_!!_#|,g
+-s,@host_alias@,|#_!!_#|,g
+-s,@target_alias@,|#_!!_#|,g
++s,@build_alias@,|#_!!_#|x86_64-linux-gnu,g
++s,@host_alias@,|#_!!_#|i586-linux,g
++s,@target_alias@,|#_!!_#|i586-linux,g
+ s,@tmsnc_VERSION@,|#_!!_#|0.3.2,g
+ s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
+ s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
+@@ -528,56 +528,56 @@ s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 6
+ s,@CYGPATH_W@,|#_!!_#|echo,g
+ s,@PACKAGE@,|#_!!_#|tmsnc,g
+ s,@VERSION@,|#_!!_#|0.3.2,g
+-s,@ACLOCAL@,|#_!!_#|${SHELL} /home/jonas/tmsnc/missing --run aclocal-1.9,g
+-s,@AUTOCONF@,|#_!!_#|${SHELL} /home/jonas/tmsnc/missing --run autoconf,g
+-s,@AUTOMAKE@,|#_!!_#|${SHELL} /home/jonas/tmsnc/missing --run automake-1.9,g
+-s,@AUTOHEADER@,|#_!!_#|${SHELL} /home/jonas/tmsnc/missing --run autoheader,g
+-s,@MAKEINFO@,|#_!!_#|${SHELL} /home/jonas/tmsnc/missing --run makeinfo,g
+-s,@install_sh@,|#_!!_#|/home/jonas/tmsnc/install-sh,g
+-s,@STRIP@,|#_!!_#|,g
++s,@ACLOCAL@,|#_!!_#|${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run aclocal-1.9,g
++s,@AUTOCONF@,|#_!!_#|${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run autoconf,g
++s,@AUTOMAKE@,|#_!!_#|${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run automake-1.9,g
++s,@AUTOHEADER@,|#_!!_#|${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run autoheader,g
++s,@MAKEINFO@,|#_!!_#|${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run makeinfo,g
++s,@install_sh@,|#_!!_#|/home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/install-sh,g
++s,@STRIP@,|#_!!_#|i586-linux-strip,g
+ s,@INSTALL_STRIP_PROGRAM@,|#_!!_#|${SHELL} $(install_sh) -c -s,g
+ s,@mkdir_p@,|#_!!_#|mkdir -p --,g
+-s,@AWK@,|#_!!_#|mawk,g
++s,@AWK@,|#_!!_#|gawk,g
+ s,@SET_MAKE@,|#_!!_#|,g
+ s,@am__leading_dot@,|#_!!_#|.,g
+-s,@AMTAR@,|#_!!_#|${SHELL} /home/jonas/tmsnc/missing --run tar,g
++s,@AMTAR@,|#_!!_#|${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run tar,g
+ s,@am__tar@,|#_!!_#|${AMTAR} chof - "$$tardir",g
+ s,@am__untar@,|#_!!_#|${AMTAR} xf -,g
+-s,@CC@,|#_!!_#|gcc,g
+-s,@CFLAGS@,|#_!!_#|-g -O2,g
+-s,@LDFLAGS@,|#_!!_#|,g
+-s,@CPPFLAGS@,|#_!!_#|,g
+-s,@ac_ct_CC@,|#_!!_#|gcc,g
++s,@CC@,|#_!!_#|/home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc,g
++s,@CFLAGS@,|#_!!_#|-fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all,g
++s,@LDFLAGS@,|#_!!_#|-Wl\,-O2 -Wl\,-rpath -Wl\,/usr/lib -Wl\,-rpath-link -Wl\,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -L/home/wbx/alix1c/openadk/cross_i586/target/lib -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib,g
++s,@CPPFLAGS@,|#_!!_#|-I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG,g
++s,@ac_ct_CC@,|#_!!_#|,g
+ s,@EXEEXT@,|#_!!_#|,g
+ s,@OBJEXT@,|#_!!_#|o,g
+ s,@DEPDIR@,|#_!!_#|.deps,g
+ s,@am__include@,|#_!!_#|include,g
+ s,@am__quote@,|#_!!_#|,g
+-s,@AMDEP_TRUE@,|#_!!_#|,g
+-s,@AMDEP_FALSE@,|#_!!_#|#,g
+-s,@AMDEPBACKSLASH@,|#_!!_#|\\,g
+-s,@CCDEPMODE@,|#_!!_#|depmode=gcc3,g
+-s,@am__fastdepCC_TRUE@,|#_!!_#|,g
+-s,@am__fastdepCC_FALSE@,|#_!!_#|#,g
+-s,@CPP@,|#_!!_#|gcc -E,g
++s,@AMDEP_TRUE@,|#_!!_#|#,g
++s,@AMDEP_FALSE@,|#_!!_#|,g
++s,@AMDEPBACKSLASH@,|#_!!_#|,g
++s,@CCDEPMODE@,|#_!!_#|depmode=none,g
++s,@am__fastdepCC_TRUE@,|#_!!_#|#,g
++s,@am__fastdepCC_FALSE@,|#_!!_#|,g
++s,@CPP@,|#_!!_#|/home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -E,g
+ s,@GREP@,|#_!!_#|/bin/grep,g
+ s,@EGREP@,|#_!!_#|/bin/grep -E,g
+-s,@CURSES_LIBS@,|#_!!_#|-lncurses -lpanel -lform,g
+-s,@CURSES_INCLUDEDIR@,|#_!!_#|,g
+-s,@build@,|#_!!_#|i686-pc-linux-gnu,g
+-s,@build_cpu@,|#_!!_#|i686,g
++s,@CURSES_LIBS@,|#_!!_#| -L/home/wbx/alix1c/openadk/cross_i586/target/lib -lncurses -lpanel -lform,g
++s,@CURSES_INCLUDEDIR@,|#_!!_#|-I/home/wbx/alix1c/openadk/cross_i586/target/include -DRENAMED_NCURSES,g
++s,@build@,|#_!!_#|x86_64-pc-linux-gnu,g
++s,@build_cpu@,|#_!!_#|x86_64,g
+ s,@build_vendor@,|#_!!_#|pc,g
+ s,@build_os@,|#_!!_#|linux-gnu,g
+-s,@host@,|#_!!_#|i686-pc-linux-gnu,g
+-s,@host_cpu@,|#_!!_#|i686,g
++s,@host@,|#_!!_#|i586-pc-linux-gnu,g
++s,@host_cpu@,|#_!!_#|i586,g
+ s,@host_vendor@,|#_!!_#|pc,g
+ s,@host_os@,|#_!!_#|linux-gnu,g
+-s,@LIBICONV@,|#_!!_#|,g
+-s,@LTLIBICONV@,|#_!!_#|,g
++s,@LIBICONV@,|#_!!_#|/home/wbx/alix1c/openadk/cross_i586/target/usr/lib/libiconv.so -Wl\,-rpath -Wl\,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib,g
++s,@LTLIBICONV@,|#_!!_#|-L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -liconv -R/home/wbx/alix1c/openadk/cross_i586/target/usr/lib,g
+ s,@OPENSSL_TRUE@,|#_!!_#|,g
+ s,@OPENSSL_FALSE@,|#_!!_#|#,g
+-s,@SSLINC@,|#_!!_#|,g
+-s,@SSLLIB@,|#_!!_#|-lssl -lcrypto,g
++s,@SSLINC@,|#_!!_#|-I/home/wbx/alix1c/openadk/cross_i586/target/usr/include,g
++s,@SSLLIB@,|#_!!_#|-L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -lssl -lcrypto,g
+ s,@TALKFILTERS_TRUE@,|#_!!_#|#,g
+ s,@TALKFILTERS_FALSE@,|#_!!_#|,g
+ s,@TFLIB@,|#_!!_#|,g
+@@ -781,11 +781,11 @@ case `sed -n '/datarootdir/ {
+ { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
+ echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
+ ac_datarootdir_hack='
+- s&@datadir@&${datarootdir}&g
++ s&@datadir@&/usr/share&g
+ s&@docdir@&${datarootdir}/doc/${PACKAGE}&g
+ s&@infodir@&${datarootdir}/info&g
+ s&@localedir@&${datarootdir}/locale&g
+- s&@mandir@&${datarootdir}/man&g
++ s&@mandir@&/usr/share/man&g
+ s&\${datarootdir}&${prefix}/share&g' ;;
+ esac
+ sed "/^[ ]*VPATH[ ]*=/{
+@@ -855,8 +855,8 @@ s,^\([ #]*\)[^ ]*\([ ]*HAVE_INTTYPES_
+ s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDINT_H\)[ (].*,\1define\2 1 ,
+ s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNISTD_H\)[ (].*,\1define\2 1 ,
+ s,^\([ #]*\)[^ ]*\([ ]*TIME_WITH_SYS_TIME\)[ (].*,\1define\2 1 ,
+-s,^\([ #]*\)[^ ]*\([ ]*HAS_CURSES\)[ (].*,\1define\2 1 ,
+ s,^\([ #]*\)[^ ]*\([ ]*USE_NCURSES\)[ (].*,\1define\2 1 ,
++s,^\([ #]*\)[^ ]*\([ ]*HAS_CURSES\)[ (].*,\1define\2 1 ,
+ s,^\([ #]*\)[^ ]*\([ ]*HAVE_USE_DEFAULT_COLORS\)[ (].*,\1define\2 1 ,
+ s,^\([ #]*\)[^ ]*\([ ]*HAVE_RESIZETERM\)[ (].*,\1define\2 1 ,
+ s,^\([ #]*\)[^ ]*\([ ]*HAVE_RESIZE_TERM\)[ (].*,\1define\2 1 ,
diff --git a/package/tmsnc/patches/patch-doc_Makefile b/package/tmsnc/patches/patch-doc_Makefile
new file mode 100644
index 000000000..6e072edeb
--- /dev/null
+++ b/package/tmsnc/patches/patch-doc_Makefile
@@ -0,0 +1,149 @@
+$Id: update-patches 24 2008-08-31 14:56:13Z wbx $
+--- tmsnc-0.3.2.orig/doc/Makefile 2006-10-17 13:14:22.000000000 +0200
++++ tmsnc-0.3.2/doc/Makefile 2009-06-02 01:13:54.000000000 +0200
+@@ -33,8 +33,8 @@ POST_INSTALL = :
+ NORMAL_UNINSTALL = :
+ PRE_UNINSTALL = :
+ POST_UNINSTALL = :
+-build_triplet = i686-pc-linux-gnu
+-host_triplet = i686-pc-linux-gnu
++build_triplet = x86_64-pc-linux-gnu
++host_triplet = i586-pc-linux-gnu
+ subdir = doc
+ DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+ ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
+@@ -52,21 +52,21 @@ am__installdirs = "$(DESTDIR)$(man1dir)"
+ NROFF = nroff
+ MANS = $(man_MANS)
+ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
+-ACLOCAL = ${SHELL} /home/jonas/tmsnc/missing --run aclocal-1.9
+-AMDEP_FALSE = #
+-AMDEP_TRUE =
+-AMTAR = ${SHELL} /home/jonas/tmsnc/missing --run tar
+-AUTOCONF = ${SHELL} /home/jonas/tmsnc/missing --run autoconf
+-AUTOHEADER = ${SHELL} /home/jonas/tmsnc/missing --run autoheader
+-AUTOMAKE = ${SHELL} /home/jonas/tmsnc/missing --run automake-1.9
+-AWK = mawk
+-CC = gcc
+-CCDEPMODE = depmode=gcc3
+-CFLAGS = -g -O2
+-CPP = gcc -E
+-CPPFLAGS =
+-CURSES_INCLUDEDIR =
+-CURSES_LIBS = -lncurses -lpanel -lform
++ACLOCAL = ${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run aclocal-1.9
++AMDEP_FALSE =
++AMDEP_TRUE = #
++AMTAR = ${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run tar
++AUTOCONF = ${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run autoconf
++AUTOHEADER = ${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run autoheader
++AUTOMAKE = ${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run automake-1.9
++AWK = gawk
++CC = /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc
++CCDEPMODE = depmode=none
++CFLAGS = -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all
++CPP = /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -E
++CPPFLAGS = -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG
++CURSES_INCLUDEDIR = -I/home/wbx/alix1c/openadk/cross_i586/target/include -DRENAMED_NCURSES
++CURSES_LIBS = -L/home/wbx/alix1c/openadk/cross_i586/target/lib -lncurses -lpanel -lform
+ CYGPATH_W = echo
+ DEFS = -DHAVE_CONFIG_H
+ DEPDIR = .deps
+@@ -80,13 +80,13 @@ INSTALL_DATA = ${INSTALL} -m 644
+ INSTALL_PROGRAM = ${INSTALL}
+ INSTALL_SCRIPT = ${INSTALL}
+ INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
+-LDFLAGS =
+-LIBICONV =
++LDFLAGS = -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -L/home/wbx/alix1c/openadk/cross_i586/target/lib -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib
++LIBICONV = /home/wbx/alix1c/openadk/cross_i586/target/usr/lib/libiconv.so -Wl,-rpath -Wl,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib
+ LIBOBJS =
+ LIBS =
+-LTLIBICONV =
++LTLIBICONV = -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -liconv -R/home/wbx/alix1c/openadk/cross_i586/target/usr/lib
+ LTLIBOBJS =
+-MAKEINFO = ${SHELL} /home/jonas/tmsnc/missing --run makeinfo
++MAKEINFO = ${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run makeinfo
+ OBJEXT = o
+ OPENSSL_FALSE = #
+ OPENSSL_TRUE =
+@@ -98,57 +98,57 @@ PACKAGE_TARNAME =
+ PACKAGE_VERSION =
+ PATH_SEPARATOR = :
+ SET_MAKE =
+-SHELL = /bin/sh
+-SSLINC =
+-SSLLIB = -lssl -lcrypto
+-STRIP =
++SHELL = /bin/bash
++SSLINC = -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include
++SSLLIB = -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -lssl -lcrypto
++STRIP = i586-linux-strip
+ TALKFILTERS_FALSE =
+ TALKFILTERS_TRUE = #
+ TFLIB =
+ VERSION = 0.3.2
+-ac_ct_CC = gcc
+-am__fastdepCC_FALSE = #
+-am__fastdepCC_TRUE =
++ac_ct_CC =
++am__fastdepCC_FALSE =
++am__fastdepCC_TRUE = #
+ am__include = include
+ am__leading_dot = .
+ am__quote =
+ am__tar = ${AMTAR} chof - "$$tardir"
+ am__untar = ${AMTAR} xf -
+ bindir = ${exec_prefix}/bin
+-build = i686-pc-linux-gnu
+-build_alias =
+-build_cpu = i686
++build = x86_64-pc-linux-gnu
++build_alias = x86_64-linux-gnu
++build_cpu = x86_64
+ build_os = linux-gnu
+ build_vendor = pc
+-datadir = ${datarootdir}
++datadir = /usr/share
+ datarootdir = ${prefix}/share
+ docdir = ${datarootdir}/doc/${PACKAGE}
+ dvidir = ${docdir}
+ exec_prefix = ${prefix}
+-host = i686-pc-linux-gnu
+-host_alias =
+-host_cpu = i686
++host = i586-pc-linux-gnu
++host_alias = i586-linux
++host_cpu = i586
+ host_os = linux-gnu
+ host_vendor = pc
+ htmldir = ${docdir}
+ includedir = ${prefix}/include
+ infodir = ${datarootdir}/info
+-install_sh = /home/jonas/tmsnc/install-sh
++install_sh = /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/install-sh
+ libdir = ${exec_prefix}/lib
+-libexecdir = ${exec_prefix}/libexec
++libexecdir = /usr/sbin
+ localedir = ${datarootdir}/locale
+-localstatedir = ${prefix}/var
+-mandir = ${datarootdir}/man
++localstatedir = /var
++mandir = /usr/share/man
+ mkdir_p = mkdir -p --
+ oldincludedir = /usr/include
+ pdfdir = ${docdir}
+-prefix = /usr/local
+-program_transform_name = s,x,x,
++prefix = /usr
++program_transform_name = s&$$&&;s&^&&
+ psdir = ${docdir}
+ sbindir = ${exec_prefix}/sbin
+ sharedstatedir = ${prefix}/com
+-sysconfdir = ${prefix}/etc
+-target_alias =
++sysconfdir = /etc
++target_alias = i586-linux
+ tmsnc_VERSION = 0.3.2
+ man_MANS = tmsnc.1
+ EXTRA_DIST = tmsnc.1
diff --git a/package/tmsnc/patches/patch-src_Makefile b/package/tmsnc/patches/patch-src_Makefile
new file mode 100644
index 000000000..f6ac328e1
--- /dev/null
+++ b/package/tmsnc/patches/patch-src_Makefile
@@ -0,0 +1,219 @@
+$Id: update-patches 24 2008-08-31 14:56:13Z wbx $
+--- tmsnc-0.3.2.orig/src/Makefile 2006-10-17 13:14:22.000000000 +0200
++++ tmsnc-0.3.2/src/Makefile 2009-06-02 01:13:54.000000000 +0200
+@@ -35,8 +35,8 @@ POST_INSTALL = :
+ NORMAL_UNINSTALL = :
+ PRE_UNINSTALL = :
+ POST_UNINSTALL = :
+-build_triplet = i686-pc-linux-gnu
+-host_triplet = i686-pc-linux-gnu
++build_triplet = x86_64-pc-linux-gnu
++host_triplet = i586-pc-linux-gnu
+ bin_PROGRAMS = tmsnc$(EXEEXT)
+ subdir = src
+ DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
+@@ -74,21 +74,21 @@ HEADERS = $(noinst_HEADERS)
+ ETAGS = etags
+ CTAGS = ctags
+ DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
+-ACLOCAL = ${SHELL} /home/jonas/tmsnc/missing --run aclocal-1.9
+-AMDEP_FALSE = #
+-AMDEP_TRUE =
+-AMTAR = ${SHELL} /home/jonas/tmsnc/missing --run tar
+-AUTOCONF = ${SHELL} /home/jonas/tmsnc/missing --run autoconf
+-AUTOHEADER = ${SHELL} /home/jonas/tmsnc/missing --run autoheader
+-AUTOMAKE = ${SHELL} /home/jonas/tmsnc/missing --run automake-1.9
+-AWK = mawk
+-CC = gcc
+-CCDEPMODE = depmode=gcc3
+-CFLAGS = -g -O2
+-CPP = gcc -E
+-CPPFLAGS =
+-CURSES_INCLUDEDIR =
+-CURSES_LIBS = -lncurses -lpanel -lform
++ACLOCAL = ${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run aclocal-1.9
++AMDEP_FALSE =
++AMDEP_TRUE = #
++AMTAR = ${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run tar
++AUTOCONF = ${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run autoconf
++AUTOHEADER = ${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run autoheader
++AUTOMAKE = ${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run automake-1.9
++AWK = gawk
++CC = /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc
++CCDEPMODE = depmode=none
++CFLAGS = -fwrapv -fno-ident -Os -pipe -march=geode -fomit-frame-pointer -fstack-protector-all
++CPP = /home/wbx/alix1c/openadk/cross_i586/host/bin/i586-linux-gnu-gcc -E
++CPPFLAGS = -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -DNDEBUG
++CURSES_INCLUDEDIR = -I/home/wbx/alix1c/openadk/cross_i586/target/include -DRENAMED_NCURSES
++CURSES_LIBS = -L/home/wbx/alix1c/openadk/cross_i586/target/lib -lncurses -lpanel -lform
+ CYGPATH_W = echo
+ DEFS = -DHAVE_CONFIG_H
+ DEPDIR = .deps
+@@ -102,13 +102,13 @@ INSTALL_DATA = ${INSTALL} -m 644
+ INSTALL_PROGRAM = ${INSTALL}
+ INSTALL_SCRIPT = ${INSTALL}
+ INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
+-LDFLAGS =
+-LIBICONV =
++LDFLAGS = -Wl,-O2 -Wl,-rpath -Wl,/usr/lib -Wl,-rpath-link -Wl,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -L/home/wbx/alix1c/openadk/cross_i586/target/lib -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib
++LIBICONV = /home/wbx/alix1c/openadk/cross_i586/target/usr/lib/libiconv.so -Wl,-rpath -Wl,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib
+ LIBOBJS =
+ LIBS =
+-LTLIBICONV =
++LTLIBICONV = -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -liconv -R/home/wbx/alix1c/openadk/cross_i586/target/usr/lib
+ LTLIBOBJS =
+-MAKEINFO = ${SHELL} /home/jonas/tmsnc/missing --run makeinfo
++MAKEINFO = ${SHELL} /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/missing --run makeinfo
+ OBJEXT = o
+ OPENSSL_FALSE = #
+ OPENSSL_TRUE =
+@@ -120,60 +120,60 @@ PACKAGE_TARNAME =
+ PACKAGE_VERSION =
+ PATH_SEPARATOR = :
+ SET_MAKE =
+-SHELL = /bin/sh
+-SSLINC =
+-SSLLIB = -lssl -lcrypto
+-STRIP =
++SHELL = /bin/bash
++SSLINC = -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include
++SSLLIB = -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -lssl -lcrypto
++STRIP = i586-linux-strip
+ TALKFILTERS_FALSE =
+ TALKFILTERS_TRUE = #
+ TFLIB =
+ VERSION = 0.3.2
+-ac_ct_CC = gcc
+-am__fastdepCC_FALSE = #
+-am__fastdepCC_TRUE =
++ac_ct_CC =
++am__fastdepCC_FALSE =
++am__fastdepCC_TRUE = #
+ am__include = include
+ am__leading_dot = .
+ am__quote =
+ am__tar = ${AMTAR} chof - "$$tardir"
+ am__untar = ${AMTAR} xf -
+ bindir = ${exec_prefix}/bin
+-build = i686-pc-linux-gnu
+-build_alias =
+-build_cpu = i686
++build = x86_64-pc-linux-gnu
++build_alias = x86_64-linux-gnu
++build_cpu = x86_64
+ build_os = linux-gnu
+ build_vendor = pc
+-datadir = ${datarootdir}
++datadir = /usr/share
+ datarootdir = ${prefix}/share
+ docdir = ${datarootdir}/doc/${PACKAGE}
+ dvidir = ${docdir}
+ exec_prefix = ${prefix}
+-host = i686-pc-linux-gnu
+-host_alias =
+-host_cpu = i686
++host = i586-pc-linux-gnu
++host_alias = i586-linux
++host_cpu = i586
+ host_os = linux-gnu
+ host_vendor = pc
+ htmldir = ${docdir}
+ includedir = ${prefix}/include
+ infodir = ${datarootdir}/info
+-install_sh = /home/jonas/tmsnc/install-sh
++install_sh = /home/wbx/alix1c/openadk/build_i586/w-tmsnc-0.3.2-1/tmsnc-0.3.2/install-sh
+ libdir = ${exec_prefix}/lib
+-libexecdir = ${exec_prefix}/libexec
++libexecdir = /usr/sbin
+ localedir = ${datarootdir}/locale
+-localstatedir = ${prefix}/var
+-mandir = ${datarootdir}/man
++localstatedir = /var
++mandir = /usr/share/man
+ mkdir_p = mkdir -p --
+ oldincludedir = /usr/include
+ pdfdir = ${docdir}
+-prefix = /usr/local
+-program_transform_name = s,x,x,
++prefix = /usr
++program_transform_name = s&$$&&;s&^&&
+ psdir = ${docdir}
+ sbindir = ${exec_prefix}/sbin
+ sharedstatedir = ${prefix}/com
+-sysconfdir = ${prefix}/etc
+-target_alias =
++sysconfdir = /etc
++target_alias = i586-linux
+ tmsnc_VERSION = 0.3.2
+-LDADD = -lssl -lcrypto -lncurses -lpanel -lform
+-INCLUDES =
++LDADD = -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -lssl -lcrypto -L/home/wbx/alix1c/openadk/cross_i586/target/lib -lncurses -lpanel -lform /home/wbx/alix1c/openadk/cross_i586/target/usr/lib/libiconv.so -Wl,-rpath -Wl,/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -L/home/wbx/alix1c/openadk/cross_i586/target/usr/lib -liconv -R/home/wbx/alix1c/openadk/cross_i586/target/usr/lib
++INCLUDES = -I/home/wbx/alix1c/openadk/cross_i586/target/usr/include -I/home/wbx/alix1c/openadk/cross_i586/target/include -DRENAMED_NCURSES
+ AM_CFLAGS = -Wall
+ tmsnc_SOURCES = misc.c main.c conf.c login.c sig.c menu.c ui.c list.c charset.c core_misc.c core_net.c core_ssl.c core_p2p.c dialog.c filters.c event.c debug.c
+ noinst_HEADERS = misc.h main.h conf.h login.h sig.h menu.h ui.h list.h charset.h core_misc.h core_net.h core_ssl.h core_p2p.h core.h dialog.h filters.h event.h
+@@ -261,37 +261,37 @@ mostlyclean-compile:
+ distclean-compile:
+ -rm -f *.tab.c
+
+-include ./$(DEPDIR)/charset.Po
+-include ./$(DEPDIR)/conf.Po
+-include ./$(DEPDIR)/core_misc.Po
+-include ./$(DEPDIR)/core_net.Po
+-include ./$(DEPDIR)/core_p2p.Po
+-include ./$(DEPDIR)/core_ssl.Po
+-include ./$(DEPDIR)/debug.Po
+-include ./$(DEPDIR)/dialog.Po
+-include ./$(DEPDIR)/event.Po
+-include ./$(DEPDIR)/filters.Po
+-include ./$(DEPDIR)/list.Po
+-include ./$(DEPDIR)/login.Po
+-include ./$(DEPDIR)/main.Po
+-include ./$(DEPDIR)/menu.Po
+-include ./$(DEPDIR)/misc.Po
+-include ./$(DEPDIR)/sig.Po
+-include ./$(DEPDIR)/ui.Po
++#include ./$(DEPDIR)/charset.Po
++#include ./$(DEPDIR)/conf.Po
++#include ./$(DEPDIR)/core_misc.Po
++#include ./$(DEPDIR)/core_net.Po
++#include ./$(DEPDIR)/core_p2p.Po
++#include ./$(DEPDIR)/core_ssl.Po
++#include ./$(DEPDIR)/debug.Po
++#include ./$(DEPDIR)/dialog.Po
++#include ./$(DEPDIR)/event.Po
++#include ./$(DEPDIR)/filters.Po
++#include ./$(DEPDIR)/list.Po
++#include ./$(DEPDIR)/login.Po
++#include ./$(DEPDIR)/main.Po
++#include ./$(DEPDIR)/menu.Po
++#include ./$(DEPDIR)/misc.Po
++#include ./$(DEPDIR)/sig.Po
++#include ./$(DEPDIR)/ui.Po
+
+ .c.o:
+- if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
+- then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
+-# source='$<' object='$@' libtool=no \
+-# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
+-# $(COMPILE) -c $<
++# if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
++# then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
++# source='$<' object='$@' libtool=no
++# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp)
++ $(COMPILE) -c $<
+
+ .c.obj:
+- if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
+- then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
+-# source='$<' object='$@' libtool=no \
+-# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
+-# $(COMPILE) -c `$(CYGPATH_W) '$<'`
++# if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
++# then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
++# source='$<' object='$@' libtool=no
++# DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp)
++ $(COMPILE) -c `$(CYGPATH_W) '$<'`
+ uninstall-info-am:
+
+ ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
diff --git a/package/tmsnc/patches/patch-src_core_h b/package/tmsnc/patches/patch-src_core_h
new file mode 100644
index 000000000..d694f3884
--- /dev/null
+++ b/package/tmsnc/patches/patch-src_core_h
@@ -0,0 +1,12 @@
+$Id: update-patches 24 2008-08-31 14:56:13Z wbx $
+--- tmsnc-0.3.2.orig/src/core.h 2006-10-17 13:09:56.000000000 +0200
++++ tmsnc-0.3.2/src/core.h 2009-06-02 01:17:44.000000000 +0200
+@@ -108,7 +108,7 @@ unsigned int swapInt(unsigned int);
+ unsigned long long swapLongLong(unsigned long long);
+ int wait_for_input(int, unsigned int);
+ char *split(char *, char, int);
+-int getline(char *, int, int);
++int getline2(char *, int, int);
+
+ /* ssl.c */
+ int https_auth(char *, int, char *, char *, char *, char *, char *, int,
diff --git a/package/tmsnc/patches/patch-src_core_misc_c b/package/tmsnc/patches/patch-src_core_misc_c
new file mode 100644
index 000000000..6665c901c
--- /dev/null
+++ b/package/tmsnc/patches/patch-src_core_misc_c
@@ -0,0 +1,12 @@
+$Id: update-patches 24 2008-08-31 14:56:13Z wbx $
+--- tmsnc-0.3.2.orig/src/core_misc.c 2006-10-17 13:09:56.000000000 +0200
++++ tmsnc-0.3.2/src/core_misc.c 2009-06-02 01:16:59.000000000 +0200
+@@ -246,7 +246,7 @@ MSN_free_contact(contact)
+ * require a (FILE *) pointer
+ */
+ int
+-getline(str, size, sd)
++getline2(str, size, sd)
+ char *str;
+ int size;
+ int sd;
diff --git a/package/tmsnc/patches/patch-src_core_net_c b/package/tmsnc/patches/patch-src_core_net_c
new file mode 100644
index 000000000..ed4fe1adb
--- /dev/null
+++ b/package/tmsnc/patches/patch-src_core_net_c
@@ -0,0 +1,48 @@
+$Id: update-patches 24 2008-08-31 14:56:13Z wbx $
+--- tmsnc-0.3.2.orig/src/core_net.c 2006-10-17 13:09:56.000000000 +0200
++++ tmsnc-0.3.2/src/core_net.c 2009-06-02 01:17:33.000000000 +0200
+@@ -240,7 +240,7 @@ MSN_conversation_handle(sd, num_ppl, mes
+ #endif
+
+ memset(buf, 0x0, sizeof(buf));
+- if (getline(buf, sizeof(buf) - 1, sd) > 0) {
++ if (getline2(buf, sizeof(buf) - 1, sd) > 0) {
+ #ifdef DEBUG
+ debug_log("sb %d: %s", sd, buf);
+ #endif
+@@ -278,7 +278,7 @@ MSN_conversation_handle(sd, num_ppl, mes
+
+ header_len = 0;
+
+- while ((i = getline(buf, sizeof(buf) - 1, sd)) > 0) {
++ while ((i = getline2(buf, sizeof(buf) - 1, sd)) > 0) {
+ header_len += i;
+ #ifdef DEBUG
+ debug_log("sb %d: %s", sd, buf);
+@@ -745,7 +745,7 @@ MSN_server_handle(session, message, mess
+ return -1;
+ timestamp = tm;
+ }
+- while (getline(buf, sizeof(buf) - 1, session->sd) > 0) {
++ while (getline2(buf, sizeof(buf) - 1, session->sd) > 0) {
+ #ifdef HAVE_ICONV
+ strncpy(tr_buf, buf, sizeof(tr_buf) - 1);
+ convert_from_utf8(tr_buf, sizeof(tr_buf), buf, sizeof(buf));
+@@ -1161,7 +1161,7 @@ MSN_load_userlist(session, cb)
+ if (send(session->sd, buf, strlen(buf), 0) == 0)
+ return -1;
+
+- if (getline(buf, sizeof(buf) - 1, session->sd) < 0)
++ if (getline2(buf, sizeof(buf) - 1, session->sd) < 0)
+ return -1;
+
+ if ((ptr = split(buf, ' ', 4)) == NULL)
+@@ -1191,7 +1191,7 @@ MSN_load_userlist(session, cb)
+
+ i = 0;
+ while (i < session->num_contacts) {
+- if (getline(buf, sizeof(buf) - 1, session->sd) < 0)
++ if (getline2(buf, sizeof(buf) - 1, session->sd) < 0)
+ return -1;
+
+ /*
diff --git a/package/tmsnc/patches/patch-src_misc_c b/package/tmsnc/patches/patch-src_misc_c
new file mode 100644
index 000000000..c3789a5a9
--- /dev/null
+++ b/package/tmsnc/patches/patch-src_misc_c
@@ -0,0 +1,12 @@
+$Id: update-patches 24 2008-08-31 14:56:13Z wbx $
+--- tmsnc-0.3.2.orig/src/misc.c 2006-10-17 13:09:56.000000000 +0200
++++ tmsnc-0.3.2/src/misc.c 2009-06-02 01:16:30.000000000 +0200
+@@ -126,7 +126,7 @@ UI_check_for_updates(void)
+ "Host: tmsnc.sourceforge.net\r\n\r\n", 59, 0) < 0)
+ UI_err_exit("Couldn't send HTTP request");
+
+- while (getline(buf, sizeof(buf) - 1, sd) > 0) {
++ while (getline2(buf, sizeof(buf) - 1, sd) > 0) {
+ buf[strlen(buf) - 1] = 0x0;
+ if (strncmp(buf, "Version", 7) == 0) {
+ if (strcmp(&buf[9], VERSION) == 0) {